aboutsummaryrefslogtreecommitdiffstats
path: root/bin/color
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xbin/color7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/color b/bin/color
index d96fde3..dfc4e7b 100755
--- a/bin/color
+++ b/bin/color
@@ -1,6 +1,7 @@
-#!/bin/sh
-for i in {0..255};do
- if (( i % 12 == 0 )); then echo;fi
+#!/bin/bash
+set -e
+for i in $(seq 0 255);do
+ if [ $(( i % 12 )) = 0 ];then echo ;fi
printf "\x1b[38;5;${i}mcolour${i}\x1b[0m\t"
done
echo